/*
 * Copyright 2021 Paul Schaub.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package sop;

import java.io.IOException;
import java.io.OutputStream;

public abstract class Signatures extends Ready {

    /**
     * Write OpenPGP signatures to the provided output stream.
     *
     * @param signatureOutputStream output stream
     * @throws IOException in case of an IO error
     */
    @Override
    public abstract void writeTo(OutputStream signatureOutputStream) throws IOException;

}
